Summary: falling blocks game
Name: xtrojka
Version: 1.2.3
Release: 1
Copyright: distributable
Group: X11/Games/Video
Source: ftp://sunsite.unc.edu/pub/Linux/games/arcade/tetris/xtrojka123.tar.gz
Patch: xtrojka-1.2.3-make.patch
Icon: xtrojka.gif

%changelog

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>

- new version
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
Similar to xjewels or tetris, this game presents you with the
challenge of keeping the playing area clear of falling blocks.

A variation on the addictive classic.

%prep
%setup -n xtrojka123
%patch -p1

%build
cp XTrojka.uk XTrojka
./resgen
make

%install

if [ ! -d /usr/X11R6/man/man6 ]; then
	mkdir /usr/X11R6/man/man6
fi

make install
install -m 644 -o 0 -g 0 xtrojka.6 /usr/X11R6/man/man6/xtrojka.6
cp /dev/null /var/lib/games/xtrojka.score
chmod 6666 /var/lib/games/xtrojka.score
chown 0.0 /var/lib/games/xtrojka.score
strip /usr/X11R6/bin/xtrojka

cat > /etc/X11/wmconfig/xtrojka <<EOF
xtrojka name "xtrojka"
xtrojka description "xtrojka"
xtrojka group Games/Video
xtrojka exec "xtrojka &"
EOF

%files
/usr/X11R6/bin/xtrojka
/usr/X11R6/man/man6/xtrojka.6
%config /var/lib/games/xtrojka.score
%config /etc/X11/wmconfig/xtrojka
